System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

A indicates the category to associate the associated property or event with, when listing properties or events in a control set to mode. If a has not been applied to a property or event, the associates it with the Misc category. A new category can be created for any name by specifying the name of the category in the constructor for the .

The property indicates the name of the category that the attribute represents. The property also provides transparent localization of category names.

Specifies the name of the category in which to group the property or event when displayed in a control set to Categorized mode.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the category name Default.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  If the name you provide for the parameter is one of the predefined category names, the name will be automatically localized by the property.

  If the name you provide is not a predefined category name, and you do not override the method to provide a localized name, the category name will not be localized.

  Initializes a new instance of the class using the specified category name.

  The name of the category.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the Action category.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the Appearance category.

- Property
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added. To be added.

  Gets a representing the Asynchronous category.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the Behavior category.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  This property calls to get the localized name of the category the first time it is accessed.

  Gets the name of the category for the property or event that this attribute is applied to.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the Data category.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the Default category.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the Design category.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the DragDrop category.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns whether the value of the given object is equal to the current ..

  true if the value of the given object is equal to that of the current; otherwise, false.

  The object to test the value equality of.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the Focus category.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the Format category.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this attribute.

  A 32-bit signed integer hash code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The property calls this method the first time it is accessed to look up the localized name for the specified category.

  Looks up the localized name of the specified category.

  The localized name of the category, or null if a localized name does not exist.

  The identifer for the category to look up.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Determines if this attribute is the default.

  true if the attribute is the default value for this attribute class; otherwise, false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the Key category.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the Layout category.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the Mouse category.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.CategoryAttribute To be added: an object of type 'CategoryAttribute' To be added

  Gets a representing the WindowStyle category.